#encoding=UTF-8
# Configuration files must begin with a line specifying the encoding
#  of the the file.
#
# NOTE - Please use src/conf/wrapper.conf.in as a template for your
#        own application rather than the values used for the
#        TestWrapper sample.

#********************************************************************
# Wrapper License Properties (Ignored by Community Edition)
#********************************************************************
# Professional and Standard Editions of the Wrapper require a valid
#  License Key to start.  Licenses can be purchased or a trial license
#  requested on the following pages:
# http://wrapper.tanukisoftware.com/purchase
# http://wrapper.tanukisoftware.com/trial

# Include file problems can be debugged by leaving only one '#'
#  at the beginning of the following line:
##include.debug

# The Wrapper will look for either of the following optional files for a
#  valid License Key.  License Key properties can optionally be included
#  directly in this configuration file.
#include ../conf/wrapper-license.conf
#include ../conf/wrapper-license-%WRAPPER_HOST_NAME%.conf

# The following property will output information about which License Key(s)
#  are being found, and can aid in resolving any licensing problems.
#wrapper.license.debug=TRUE

#********************************************************************
# Wrapper Localization
#********************************************************************
# Specify the language and locale which the Wrapper should use.
#wrapper.lang=en_US # en_US or ja_JP

# Specify the location of the language resource files (*.mo).
wrapper.lang.folder=../lang

#********************************************************************
# Wrapper Java Properties
#********************************************************************
# Java Application
#  Locate the java binary on the system PATH:

#  Specify a specific java binary:
set.MYAPP_HOME=C:/gamebai/portal
set.JAVA_HOME=C:/Program Files (x86)/Java/jdk1.8.0_181
wrapper.java.command=%JAVA_HOME%/bin/java

# Tell the Wrapper to log the full generated Java command line.
#wrapper.java.command.loglevel=INFO

# Java Main class.  This class must implement the WrapperListener interface
#  or guarantee that the WrapperManager class is initialized.  Helper
#  classes are provided to do this for you.
#  See the following page for details:
#  http://wrapper.tanukisoftware.com/doc/english/integrate.html
wrapper.java.mainclass=org.tanukisoftware.wrapper.WrapperSimpleApp

# Java Classpath (include wrapper.jar)  Add class path elements as
#  needed starting from 1
wrapper.java.classpath.1=%MYAPP_HOME%/lib/wrapper.jar
wrapper.java.classpath.2=%MYAPP_HOME%/lib/axis.jar

wrapper.java.classpath.3=%MYAPP_HOME%/lib/cage-1.0.jar

wrapper.java.classpath.4=%MYAPP_HOME%/lib/commons-discovery-0.2.jar

wrapper.java.classpath.5=%MYAPP_HOME%/lib/commons-logging-1.2.jar

wrapper.java.classpath.6=%MYAPP_HOME%/lib/commons-logging.jar

wrapper.java.classpath.7=%MYAPP_HOME%/lib/dbpool-6.0.jar

wrapper.java.classpath.8=%MYAPP_HOME%/lib/hazelcast-3.6.4.jar

wrapper.java.classpath.9=%MYAPP_HOME%/lib/hazelcast-client-3.6.4.jar

wrapper.java.classpath.10=%MYAPP_HOME%/lib/jackson-annotations-2.4.0.jar

wrapper.java.classpath.11=%MYAPP_HOME%/lib/jackson-core-2.4.1.jar

wrapper.java.classpath.12=%MYAPP_HOME%/lib/jackson-databind-2.4.1.jar

wrapper.java.classpath.13=%MYAPP_HOME%/lib/javax.servlet-api-3.0.1.jar

wrapper.java.classpath.14=%MYAPP_HOME%/lib/jaxrpc.jar

wrapper.java.classpath.15=%MYAPP_HOME%/lib/jetty-http-9.2.10.v20150310.jar

wrapper.java.classpath.16=%MYAPP_HOME%/lib/jetty-io-9.2.10.v20150310.jar

wrapper.java.classpath.17=%MYAPP_HOME%/lib/jetty-security-9.2.10.v20150310.jar

wrapper.java.classpath.18=%MYAPP_HOME%/lib/jetty-server-9.2.10.v20150310.jar

wrapper.java.classpath.19=%MYAPP_HOME%/lib/jetty-servlet-9.2.10.v20150310.jar

wrapper.java.classpath.20=%MYAPP_HOME%/lib/jetty-servlets-9.2.10.v20150310.jar

wrapper.java.classpath.21=%MYAPP_HOME%/lib/jetty-util-9.2.10.v20150310.jar

wrapper.java.classpath.22=%MYAPP_HOME%/lib/json-20090211.jar

wrapper.java.classpath.23=%MYAPP_HOME%/lib/log4j-1.2.17.jar

wrapper.java.classpath.24=%MYAPP_HOME%/lib/mail.jar

wrapper.java.classpath.25=%MYAPP_HOME%/lib/mongo-java-driver-3.3.0.jar

wrapper.java.classpath.26=%MYAPP_HOME%/lib/mysql-connector-java-5.0.4-bin.jar

wrapper.java.classpath.27=%MYAPP_HOME%/lib/rabbitmq-client.jar

wrapper.java.classpath.28=%MYAPP_HOME%/lib/saaj.jar

wrapper.java.classpath.29=%MYAPP_HOME%/lib/servlet-api-3.0-alpha-1.jar

wrapper.java.classpath.30=%MYAPP_HOME%/lib/slf4j-api-1.7.5.jar

wrapper.java.classpath.31=%MYAPP_HOME%/lib/slf4j-log4j12-1.7.5.jar

wrapper.java.classpath.32=%MYAPP_HOME%/lib/VBeeCommon.jar

wrapper.java.classpath.33=%MYAPP_HOME%/lib/VBeeSecurity.jar

wrapper.java.classpath.34=%MYAPP_HOME%/lib/VinPlayDAL.jar

wrapper.java.classpath.35=%MYAPP_HOME%/lib/VinPlayUserCore.jar

wrapper.java.classpath.36=%MYAPP_HOME%/lib/wsdl4j.jar
wrapper.java.classpath.37=%MYAPP_HOME%/VinPlayPortal.jar
# Java Library Path (location of Wrapper.DLL or libwrapper.so)
wrapper.java.library.path.1=%MYAPP_HOME%/lib

# Java Bits.  On applicable platforms, tells the JVM to run in 32 or 64-bit mode.
wrapper.java.additional.auto_bits=TRUE

# Java Additional Parameters
wrapper.java.additional.1=

# Initial Java Heap Size (in MB)
#wrapper.java.initmemory=3

# Maximum Java Heap Size (in MB)
#wrapper.java.maxmemory=128

# Application parameters.  Add parameters as needed starting from 1
#wrapper.app.parameter.1=

#********************************************************************
# Wrapper Logging Properties
#********************************************************************
# Enables Debug output from the Wrapper.
# wrapper.debug=TRUE

# Format of output for the console.  (See docs for formats)
wrapper.console.format=PM

# Log Level for console output.  (See docs for log levels)
wrapper.console.loglevel=INFO

# Log file to use for wrapper output logging.
wrapper.logfile=../logs/portal/GameBai_Portal.log

# Format of output for the log file.  (See docs for formats)
wrapper.logfile.format=LPTM

# Log Level for log file output.  (See docs for log levels)
wrapper.logfile.loglevel=INFO

# Maximum size that the log file will be allowed to grow to before
#  the log is rolled. Size is specified in bytes.  The default value
#  of 0, disables log rolling.  May abbreviate with the 'k' (kb) or
#  'm' (mb) suffix.  For example: 10m = 10 megabytes.
wrapper.logfile.maxsize=10m
# Maximum number of rolled log files which will be allowed before old
#  files are deleted.  The default value of 0 implies no limit.
wrapper.logfile.maxfiles=15

# Log Level for sys/event log output.  (See docs for log levels)
wrapper.syslog.loglevel=NONE

#********************************************************************
# Wrapper General Properties
#********************************************************************
# Allow for the use of non-contiguous numbered properties
wrapper.ignore_sequence_gaps=TRUE

# Do not start if the pid file already exists.
wrapper.pidfile.strict=TRUE

# Title to use when running as a console
wrapper.console.title=Portal Service

#********************************************************************
# Wrapper JVM Checks
#********************************************************************
# Detect DeadLocked Threads in the JVM. (Requires Standard Edition)
wrapper.check.deadlock=TRUE
wrapper.check.deadlock.interval=10
wrapper.check.deadlock.action=RESTART
wrapper.check.deadlock.output=FULL

# Out Of Memory detection.
# (Ignore output from dumping the configuration to the console.  This is only needed by the TestWrapper sample application.)
wrapper.filter.trigger.999=wrapper.filter.trigger.*java.lang.OutOfMemoryError
wrapper.filter.allow_wildcards.999=TRUE
wrapper.filter.action.999=NONE
#  Ignore -verbose:class output to avoid false positives.
wrapper.filter.trigger.1000=[Loaded java.lang.OutOfMemoryError
wrapper.filter.action.1000=NONE
# (Simple match)
wrapper.filter.trigger.1001=java.lang.OutOfMemoryError
# (Only match text in stack traces if -XX:+PrintClassHistogram is being used.)
#wrapper.filter.trigger.1001=Exception in thread "*" java.lang.OutOfMemoryError
#wrapper.filter.allow_wildcards.1001=TRUE
wrapper.filter.action.1001=RESTART
wrapper.filter.message.1001=The JVM has run out of memory.

#********************************************************************
# Wrapper Email Notifications. (Requires Professional Edition)
#********************************************************************
# Common Event Email settings.
#wrapper.event.default.email.debug=TRUE
#wrapper.event.default.email.smtp.host=<SMTP_Host>
#wrapper.event.default.email.smtp.port=25
#wrapper.event.default.email.subject=[%WRAPPER_HOSTNAME%:%WRAPPER_NAME%:%WRAPPER_EVENT_NAME%] Event Notification
#wrapper.event.default.email.sender=<Sender email>
#wrapper.event.default.email.recipient=<Recipient email>

# Configure the log attached to event emails.
#wrapper.event.default.email.maillog=ATTACHMENT
#wrapper.event.default.email.maillog.lines=50
#wrapper.event.default.email.maillog.format=LPTM
#wrapper.event.default.email.maillog.loglevel=INFO

# Enable specific event emails.
#wrapper.event.wrapper_start.email=TRUE
#wrapper.event.jvm_prelaunch.email=TRUE
#wrapper.event.jvm_start.email=TRUE
#wrapper.event.jvm_started.email=TRUE
#wrapper.event.jvm_deadlock.email=TRUE
#wrapper.event.jvm_stop.email=TRUE
#wrapper.event.jvm_stopped.email=TRUE
#wrapper.event.jvm_restart.email=TRUE
#wrapper.event.jvm_failed_invocation.email=TRUE
#wrapper.event.jvm_max_failed_invocations.email=TRUE
#wrapper.event.jvm_kill.email=TRUE
#wrapper.event.jvm_killed.email=TRUE
#wrapper.event.jvm_unexpected_exit.email=TRUE
#wrapper.event.wrapper_stop.email=TRUE

# Specify custom mail content
wrapper.event.jvm_restart.email.body=The JVM was restarted.\n\nPlease check on its status.\n

#********************************************************************
# Wrapper Windows Service Properties
#********************************************************************
# WARNING - Do not modify any of these properties when an application
#  using this configuration file has been installed as a service.
#  Please uninstall the service before modifying this section.  The
#  service can then be reinstalled.

# Name of the service
wrapper.name=GameBai_Portal

# Display name of the service
wrapper.displayname=GameBai_Portal

# Description of the service
wrapper.description=GameBai_Portal Application Description

# Service dependencies.  Add dependencies as needed starting from 1
wrapper.ntservice.dependency.1=

# Mode in which the service is installed.  AUTO_START, DELAY_START or DEMAND_START
wrapper.ntservice.starttype=AUTO_START

# Allow the service to interact with the desktop (Windows NT/2000/XP only).
wrapper.ntservice.interactive=FALSE

# Application parameters. Add parameters as needed starting from 1
wrapper.app.parameter.1=com.vinplay.api.server.JettyServer
